/*
 * Copyright (C) 2008 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.array;

import java.sql.Timestamp;

import isql.ColumnType;

/**
 * @author SHZ Apr 11, 2008
 * Makes safe that it is possible to find out that the array is of type DATE
 */
public class DateArray extends InputArray
{
	public DateArray(Timestamp[] arrDate)
	{
		super(arrDate, ColumnType.DATE);
	}
}
