/*
 * Copyright (C) 2008 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.array;

import isql.ColumnType;

/**
 * @author SHZ Apr 11, 2008
 * isql.array.Array is very unsafe, since you can create a new instance of it
 * passing, for example, an array of strings and telling that the array's type
 * is boolean.
 * With this class you are sure that the parameters are initialized using the
 * NumericArray, TextArray,... classes, that are safer. 
 */
public abstract class InputArray extends Array
{
	public InputArray(Object[] array, ColumnType type)
	{
		super(array, type);
	}
}
