/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql.comparison;

import isql.IComparison;
import isql.ISQLException;

/**
 * Used as predicate to check if two array elements are equal
 * @author SHZ Sep 27, 2007
 */
public class Equal implements IComparison
{

	/* (non-Javadoc)
	 * @see isql.comparison.IComparison#compareBoolean(boolean, boolean)
	 */
	public boolean compare(Object a, Object b)
			throws ISQLException
	{
		return  a.equals(b);
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "==";
	}
}
