/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.expression.aggregate;

/**
 * @author SHZ Oct 31, 2007
 *
 */
public class Average implements IAggregate
{
	int n = 0;
	double sum = 0;
	/* (non-Javadoc)
	 * @see isql.expression.aggregate.IAggregate#add(java.lang.Object)
	 */
	public void add(Object value)
	{
		sum += ((Double)value).doubleValue();
		n++;
	}

	/* (non-Javadoc)
	 * @see isql.expression.aggregate.IAggregate#getSum()
	 */
	public Object getSum()
	{
		return Double.valueOf(sum / n);
	}
}
