/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql.help.scalar.bool;

import isql.help.scalar.IBinaryScalar;

/**
 * A predicate that calculates an operator boolean, boolean -> boolean
 * @author SHZ Oct 1, 2007
 */
public interface IBinaryBooleanScalar extends IBinaryScalar
{
	boolean apply(boolean a, boolean b);
}
