package isql.help.scalar.numeric;


/**
 * predicate that operates the power of one number by another one
 * @author SHZ Aug 23, 2006
 */
public class PowScalar implements IBinaryNumericScalar
{
	public double apply(double a, double b)
	{
	    return Math.pow(a, b);
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "^";
	}
}
