/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql.help.scalar.text;

import isql.help.scalar.IBinaryScalar;

/**
 * A predicate that calculates an operator text, text -> text
 * @author SHZ Oct 1, 2007
 */
public interface IBinaryTextScalar extends IBinaryScalar
{
	String apply(String a, String b);
}
