/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.unary;

/**
 * Minus predicate (res = -value)
 * @author SHZ Oct 16, 2007
 */
public class Minus implements IUnary
{

	/* (non-Javadoc)
	 * @see isql.unary.IUnary#apply(java.lang.Object)
	 */
	public Object apply(Object val)
	{
		return Double.valueOf(-((Double)val).doubleValue());
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "-";
	}

}
