/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.util;

/**
 * Utility functions for booleans
 * @author SHZ Nov 20, 2007
 */
public class BooleanHelp
{
	/**
	 * Returns true if the arguments have same value (true-true or false-false),
	 * false otherwise
	 * @param a the boolean value a
	 * @param b the boolean value b
	 * @return the XOR between the two values
	 */
	public static boolean xor(boolean a, boolean b)
	{
		if(a)
			return b;
		else
			return !b;
	}
}
