/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql;


/**
 * A comparison predicate, to tell if, for example, two objects
 * are the same, different, one is greater than the other...
 * @author SHZ Sep 27, 2007
 */
public interface IComparison
{
	boolean compare(Object a, Object b) throws ISQLException;
}
