/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql;

/**
 * A constant written in the SQL query either in the SELECT clause or
 * in the WHERE clause. Can be a text, a number... 
 * @author SHZ Sep 28, 2007
 */
public interface IConstant extends ITypedValue
{
	/**
	 * The value of the constant
	 * @return a Double, String, Boolean or Timestamp object
	 */
	public Object getValueAsObject();
}
