/*
 * Copyright (C) 2008 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.array;

import isql.ColumnType;

/**
 * @author SHZ Apr 11, 2008
 * Makes safe that it is possible to find out that the array is of type BOOLEAN
 */
public class BooleanArray extends InputArray
{
	public BooleanArray(Boolean[] arrBoolean)
	{
		super(arrBoolean, ColumnType.BOOLEAN);
	}
}
