/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.builder;

import isql.ColumnValues;

/**
 * The expression builder for the where clauses, more restrictive than
 * the expression builder for the select part of the query
 * @author SHZ Oct 31, 2007
 */
public class WhereExpressionBuilder extends ExpressionBuilder
{
	public WhereExpressionBuilder(ColumnValues values)
	{
		super(values);
	}
}
