/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.expression.aggregate;

/**
 * @author SHZ Oct 30, 2007
 *
 */
public class Sum implements IAggregate
{
	double sum = 0;
	/* (non-Javadoc)
	 * @see isql.expression.aggregate.IAggregate#add(java.lang.Object)
	 */
	public void add(Object value)
	{
		sum += ((Double)value).doubleValue();
	}

	/* (non-Javadoc)
	 * @see isql.expression.aggregate.IAggregate#getSum()
	 */
	public Object getSum()
	{
		return Double.valueOf(sum);
	}

}
