/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql.help.scalar.date;

import java.sql.Timestamp;

import isql.help.scalar.IBinaryScalar;

/**
 * A predicate that calculates an operator date, date -> date
 * @author SHZ Oct 1, 2007
 */
public interface IBinaryDateScalar extends IBinaryScalar
{
	Timestamp apply(Timestamp a, Timestamp b);
}
