/*
 * Copyright (C) 2006 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql.help.scalar.numeric;


/**
 * predicate that operates the integer division between two numbers
 * @author SHZ Oct 7, 2006
 */
public class DivScalar implements IBinaryNumericScalar
{
	public double apply(double a, double b)
	{
		int result = (int)a / (int)b; 
	    return (double)result;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "div";
	}	
}
