/*
 * Copyright (C) 2006 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */

package isql.help.scalar.numeric;


/**
 * predicate that operates the module (mod) between two numbers
 * @author SHZ Oct 7, 2006
 */
public class ModScalar implements IBinaryNumericScalar
{
	public double apply(double a, double b)
	{
	    return (int)a % (int)b;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "%";
	}	
}
