/*
 * Copyright (C) 2007 Andrea Ferrandi <aferrandi@users.sourceforge.net>. 
 * Released under the terms of the GNU LGPL v3.0.
 */
package isql.util;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * @author SHZ Nov 20, 2007
 *
 */
public class BooleanHelpTest
{

	/**
	 * Test method for {@link isql.util.BooleanHelp#xor(boolean, boolean)}.
	 */
	@Test
	public void testXor()
	{
		assertEquals(BooleanHelp.xor(true, true), true);
		assertEquals(BooleanHelp.xor(false, true), false);
		assertEquals(BooleanHelp.xor(true, false), false);
		assertEquals(BooleanHelp.xor(true, true), true);
	}

}
